<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:c="http://xmlns.jcp.org/jsp/jstl/core"
      xmlns:f="http://xmlns.jcp.org/jsf/core" 
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:composite="http://xmlns.jcp.org/jsf/composite">
  <composite:interface>
    <composite:attribute name="expanded" type="java.lang.Boolean" required="false" />
    <composite:attribute name="style" required="false"/>
    <composite:attribute name="styleClass" required="false" />
    <composite:attribute name="expandedHeaderClass" default="toggle-expanded" required="false" />
    <composite:attribute name="collapsedHeaderClass" default="toggle-collapsed" required="false" />
    <composite:facet name="header"/>
    <composite:facet name="content"/>
  </composite:interface>
    
  <composite:implementation>
      <div id="#{cc.clientId}" layout="block">
        <c:if test="#{not empty cc.attrs.style}">
          <f:attribute name="style" value="#{cc.attrs.style}" />
        </c:if>
        <c:if test="#{not empty cc.attrs.styleClass}">
          <f:attribute name="styleClass" value="#{cc.attrs.styleClass}" />
        </c:if>
        <div style="width:100%;min-width:100%;max-width:100%;background-color: transparent;"
            onclick="var header = document.getElementById('#{cc.clientId}:header');
                     var content = document.getElementById('#{cc.clientId}:content');
                     if (header.className === '#{cc.attrs.expandedHeaderClass}') {
                         header.className = '#{cc.attrs.collapsedHeaderClass}';
                         content.style.display = 'none';
                     } else {
                         header.className = '#{cc.attrs.expandedHeaderClass}';
                         content.style.display = 'block';
                     }">
          <h:panelGroup id="header" 
                        class="#{cc.attrs.expanded ? cc.attrs.expandedHeaderClass : cc.attrs.collapsedHeaderClass}" 
                        style="margin: 0;overflow: hidden;">
             <composite:renderFacet name="header"/>
          </h:panelGroup>
          </div>
          <h:panelGroup id="content" style="display: #{cc.attrs.expanded ? 'block' : 'none'}" layout="block">
            <composite:renderFacet name="content"/>
          </h:panelGroup>
      </div>
  </composite:implementation>
</html>